# Uses of Interface
javax.imageio.metadata.IIOMetadataController

Packages that use IIOMetadataController
Package
Description
javax.imageio.metadata
A package of the Java Image I/O API dealing with reading and writing metadata.

## Uses of IIOMetadataController in javax.imageio.metadata

Fields in javax.imageio.metadata declared as IIOMetadataController
Modifier and Type
Field
Description
`protected IIOMetadataController`
IIOMetadata.`controller`
The `IIOMetadataController` that will be used to provide settings for this `IIOMetadata` object when the `activateController` method is called.
`protected IIOMetadataController`
IIOMetadata.`defaultController`
An `IIOMetadataController` that is suggested for use as the controller for this `IIOMetadata` object.
Methods in javax.imageio.metadata that return IIOMetadataController
Modifier and Type
Method
Description
`IIOMetadataController`
IIOMetadata.`getController()`
Returns whatever `IIOMetadataController` is currently installed.
`IIOMetadataController`
IIOMetadata.`getDefaultController()`
Returns the default `IIOMetadataController`, if there is one, regardless of the currently installed controller.
Methods in javax.imageio.metadata with parameters of type IIOMetadataController
Modifier and Type
Method
Description
`void`
IIOMetadata.`setController​(IIOMetadataController controller)`
Sets the `IIOMetadataController` to be used to provide settings for this `IIOMetadata` object when the `activateController` method is called, overriding any default controller.